#! Flux2D 18.0
#! Sun Mar 18 22:41:13 EDT 2018 loadProject('C:/Users/nmazgaonkar/Desktop/Flux_OS_Coupling/FluxModel/Force_Noise12S10P_SimLab_Id/Force_Noise12S10P_SimLab_Id.FLU')

openMechanicalAnalysisContext()

ProjectiveForcesComputation['FORCESCOMPUTATION_1'].deleteForce()
ForcesSupportNastran['FORCESSUPPORT_1'].deleteForce()
lastInstance = ForcesSupportNastran(Name='ForcesSupport_1',
                     Color=Color['Turquoise'],
                     visibility=Visibility['VISIBLE'],
                     NastranFileName='../../1_Creating_Meshing/FLUX.fem',
                     lenghtUnit='millimeter',
                     Repere=CoordSys['XY1'],
                     MechanicalSet=MechanicalSet['FIXED'])

lastInstance = ProjectiveForcesComputation(Name='ForcesComputation_1',
                            Interval=EvolutivePath(parameterSet=[SetParameterXVariable(paramEvol=VariationParameter['ANGPOS_MOVING'],
                                                                                       limitMin=0.0,
                                                                                       limitMax=360.0)]),
                            ComputeHarmonics='Harmonics',
                            ComputationSupport=ForcesSupport['FORCESSUPPORT_1'],
                            Radius='0.0206',
                            SlotOpeningAngle='5.925')

ProjectiveForcesComputation['FORCESCOMPUTATION_1'].deleteForce()
lastInstance = ProjectiveForcesComputation(Name='ForcesComputation_1',
                            Interval=EvolutivePath(parameterSet=[SetParameterXVariable(paramEvol=VariationParameter['ANGPOS_MOVING'],
                                                                                       limitMin=0.0,
                                                                                       limitMax=360.0)]),
                            ComputeHarmonics='Harmonics',
                            ComputationSupport=ForcesSupport['FORCESSUPPORT_1'],
                            Radius='0.0206',
                            SlotOpeningAngle='5.925')

ExportOptiStructForce(ForceComputation=ForcesComputation['FORCESCOMPUTATION_1'],
                      forceUnity='Newton',
                      fileName='../../1_Creating_Meshing/Forces_03162018_OptiStruct.BULK')

saveProject()

#! Thu May 10 10:19:31 EDT 2018 loadProject('Force_Noise12S10P_SimLab_Id.FLU')

Animation['ANIMATION_1'].delete()
openMechanicalAnalysisContext()

ProjectiveForcesComputation['FORCESCOMPUTATION_1'].delete()
ForcesSupportNastran['FORCESSUPPORT_1'].delete()
closeMechanicalAnalysisContext()

DeleteAllResults(deletePostprocessingResults='yes')

saveProjectAs('Force_Noise12S10P_SimLab_Ready.FLU')

#! Thu May 10 10:23:36 EDT 2018 loadProject('D:/Tan_Work/NVH/12S10P_Halla/FluxModel/Force_Noise12S10P_SimLab_Id/Force_Noise12S10P_SimLab_Ready.FLU')

#! Thu May 10 14:52:31 EDT 2018 loadProject('D:/Tan_Work/NVH/12S10P_Halla/FluxModel/Force_Noise12S10P_SimLab_Id/Force_Noise12S10P_SimLab_Ready.FLU')

DeleteAllResults(deletePostprocessingResults='yes')

Macro['CREATESENSORFOR2DMOTORSLOTFORCE'].unload()
saveProject()

#! Tue Jun 12 10:38:58 CEST 2018 loadProject('D:/ssaaidi/Mes_Documents/_Backup/travail/Flux2018.1/Doc/OS_withSL/V_2/Force_Noise12S10P_SimLab_Ready.FLU')

Scenario['EMTORQUE'].solve(projectName='test')

openMechanicalAnalysisContext()

lastInstance = ForcesSupportNastran(Name='ForcesSupport_1',
                     Color=Color['Turquoise'],
                     visibility=Visibility['VISIBLE'],
                     NastranFileName='MESH_FOR_FLUX.fem',
                     lenghtUnit='meter',
                     Repere=CoordSys['XY1'],
                     MechanicalSet=MechanicalSet['FIXED'])

ForcesSupport['FORCESSUPPORT_1'].lenghtUnit='millimeter'


result = PointDuplicatedMechanicalSets[223].computePointDistance(point=[Point[1]])

result = PointCoordinates[23].computePointDistance(point=[Point[1]])

result = PointCoordinates[23].computePosition(coordSys=CoordSys['ZZZ_CYL_1'])

0.0208-(0.0208-0.020533)

lastInstance = ProjectiveForcesComputation(Name='ForcesComputation_1',
                            Interval=EvolutivePath(parameterSet=[SetParameterXVariable(paramEvol=VariationParameter['ANGPOS_MOVING'],
                                                                                       limitMin=0.0,
                                                                                       limitMax=360.0)]),
                            ComputeHarmonics='Harmonics',
                            ComputationSupport=ForcesSupport['FORCESSUPPORT_1'],
                            Radius='0.0206',
                            SlotOpeningAngle='5.925')

lastInstance = currentStepForceArrows(name='ARROWS_1',
                       forceVisibility='yes',
                       forceComputation=ForcesComputation['FORCESCOMPUTATION_1'],
                       component='resulting',
                       type='atNodes',
                       displayAnchor='yes')

ExportOptiStructForce(ForceComputation=ForcesComputation['FORCESCOMPUTATION_1'],
                      forceUnity='Newton',
                      fileName='Flux_Forces')

closeMechanicalAnalysisContext()

openMechanicalAnalysisContext()

ExportNastranForce(ForceComputation=ForcesComputation['FORCESCOMPUTATION_1'],
                   forceUnity='Newton',
                   fileName='new_forces_ss')

lastInstance = continuousHarmonicForceArrows(name='ARROWS_2',
                              forceVisibility='yes',
                              forceComputation=ForcesComputation['FORCESCOMPUTATION_1'],
                              component='resulting',
                              type='atNodes',
                              displayAnchor='yes')

saveProject()

#! Wed Jun 13 16:23:55 CEST 2018 loadProject('D:/ssaaidi/Mes_Documents/_Backup/travail/Flux2018.1/Doc/OS_withSL/TUTO/TESTCASE_INI.FLU')



EvolutiveCurve2D(name='Torque',
                 evolutivePath=EvolutivePath(parameterSet=[SetParameterXVariable(paramEvol=VariationParameter['ANGPOS_MOVING'],
                                                                                 limitMin=0.0,
                                                                                 limitMax=360.0)]),
                 formula=['TorqueElecMag(MOVING)'])



openMechanicalAnalysisContext()


ProjectiveForcesComputation['FORCESCOMPUTATION_1'].delete()
ForcesSupportNastran['FORCESSUPPORT_1'].delete()
currentStepForceArrows['ARROWS_1'].delete()
continuousHarmonicForceArrows['ARROWS_2'].delete()
CurveVariation2D['TORQUE'].delete()
ProjectiveForcesComputation['FORCESCOMPUTATION_1'].delete()
ForcesSupportNastran['FORCESSUPPORT_1'].delete()
saveProject()

#! Fri Jun 15 08:54:18 CEST 2018 loadProject('D:/ssaaidi/Mes_Documents/_Backup/travail/Flux2018.1/Doc/OS_withSL/Flux_Optistruct_SimLab_Vibroacoustic_Case1/TESTCASE_INI.FLU')

Scenario['EMTORQUE'].deleteAllResults()

saveProject()

#! executeBatchSpy('D:/ssaaidi/Mes_Documents/_Backup/travail/Flux2018.1/Doc/OS_withSL/Flux_Optistruct_SimLab_Vibroacoustic_Case1/main.py')

saveProject()

