#! Thu Dec 19 22:25:13 EST 2013 loadProject('C:/Motors/LMSNoiseStudy/Force_Noise12S10P_LMS_Id.FLU')

selectCurrentStep(activeScenario=Scenario['EMTORQUE'],
                  parameterValue=['ANGPOS_MOVING=0.0'])

DeleteAllResults(deletePostprocessingResults='YES')

VariationParameter['IPHASE'].formula='0'


Scenario['EMTORQUE'].solve(projectName='C:/Motors/LMSNoiseStudy/Force_Noise12S10P_LMS_Id.FLU')

PathArcCenterAngle(name='Path_1',
                   pathDiscretization=IntervalPathDiscretization(intervalNumber=361),
                   regionFace='AIRGAP',
                   color=Color['White'],
                   visibility=Visibility['VISIBLE'],
                   coordSys=CoordSys['XY1'],
                   centerCoord=['0',
                                '0'],
                   angle=['-180',
                          '180'],
                   radius='radm+agap/2')


lastInstance = CompoundPath(name='Path_Airgap',
             paths=[Path['PATH_1']],
             color=Color['Turquoise'],
             visibility=Visibility['VISIBLE'])

cleanInvalidPaths()

SpatialCurve(name='SpatialCurve_1',
             compoundPath=CompoundPath['PATH_AIRGAP'],
             formula=['B*N'])

result = SpectrumAnalysis(curve=Curve2d['SPATIALCURVE_1'],
                 component='B*N',
                 cycle=FullCycle(),
                 numberHarmonics=30,
                 computeDCComponent=Continue(),
                 scaleDecibel=FirstHarmonic(firstHarmonicValue=100.0),
                 nameRebuiltCurve='Extrapolated_curve',
                 nameFourierTransform='Spectrum')

DeleteAllResults(deletePostprocessingResults='YES')

deleteMesh()

ParameterGeom['DELTA'].expression='11'


meshDomain()

Scenario['EMTORQUE'].solve(projectName='C:/Motors/LMSNoiseStudy/Force_Noise12S10P_LMS_Id.FLU')

SpatialCurve(name='SpatialCurve_1',
             compoundPath=CompoundPath['PATH_AIRGAP'],
             formula=['B*N'])

result = SpectrumAnalysis(curve=Curve2d['SPATIALCURVE_1'],
                 component='B*N',
                 cycle=FullCycle(),
                 numberHarmonics=30,
                 computeDCComponent=Continue(),
                 scaleDecibel=FirstHarmonic(firstHarmonicValue=100.0),
                 nameRebuiltCurve='Extrapolated_curve',
                 nameFourierTransform='Spectrum')

DeleteAllResults(deletePostprocessingResults='YES')

deleteMesh()

ParameterGeom['DELTA'].expression='14.4'


ParameterGeom['LM'].expression='2'


meshDomain()

#! Tue Jan 07 21:56:32 EST 2014 loadProject('Force_Noise12S10P_LMS_Id.FLU')

selectCurrentStep(activeScenario=Scenario['EMTORQUE'],
                  parameterValue=['ANGPOS_MOVING=0.0'])

SpatialCurve(name='SpatialCurve_1',
             compoundPath=CompoundPath['PATH_AIRGAP'],
             formula=['B*N'])

result = SpectrumAnalysis(curve=Curve2d['SPATIALCURVE_1'],
                 component='B*N',
                 cycle=FullCycle(),
                 numberHarmonics=30,
                 computeDCComponent=Continue(),
                 scaleDecibel=FirstHarmonic(firstHarmonicValue=100.0),
                 nameRebuiltCurve='Extrapolated_curve',
                 nameFourierTransform='Spectrum')

CurveSpatial2D[ALL].delete()
DeleteAllResults(deletePostprocessingResults='YES')

startMacroTransaction()
CurrentSource['I_PHA'].rmsModulus='IPEAK*Sind(2*0.5*NPOLES*ANGPOS_MOVING+IPHASE+BEMF_CAL)'

CurrentSource['I_PHB'].rmsModulus='IPEAK*Sind(2*0.5*NPOLES*ANGPOS_MOVING+IPHASE-120+BEMF_CAL)'

endMacroTransaction()

Scenario['EMTORQUE'].solve(projectName='Force_Noise12S10P_LMS_Id.FLU')

SpatialCurve(name='SpatialCurve_1',
             compoundPath=CompoundPath['PATH_AIRGAP'],
             formula=['B*N'])

result = SpectrumAnalysis(curve=Curve2d['SPATIALCURVE_1'],
                 component='B*N',
                 cycle=FullCycle(),
                 numberHarmonics=30,
                 computeDCComponent=Continue(),
                 scaleDecibel=FirstHarmonic(firstHarmonicValue=100.0),
                 nameRebuiltCurve='Extrapolated_curve',
                 nameFourierTransform='Spectrum')

CurveSpatial2D[ALL].delete()
DeleteAllResults(deletePostprocessingResults='YES')

startMacroTransaction()
CurrentSource['I_PHA'].rmsModulus='IPEAK*Sind(7*0.5*NPOLES*ANGPOS_MOVING+IPHASE+BEMF_CAL)'

CurrentSource['I_PHB'].rmsModulus='IPEAK*Sind(7*0.5*NPOLES*ANGPOS_MOVING+IPHASE-120+BEMF_CAL)'

endMacroTransaction()

Scenario['EMTORQUE'].solve(projectName='Force_Noise12S10P_LMS_Id.FLU')

SpatialCurve(name='SpatialCurve_1',
             compoundPath=CompoundPath['PATH_AIRGAP'],
             formula=['B*N'])

result = SpectrumAnalysis(curve=Curve2d['SPATIALCURVE_1'],
                 component='B*N',
                 cycle=FullCycle(),
                 numberHarmonics=30,
                 computeDCComponent=Continue(),
                 scaleDecibel=FirstHarmonic(firstHarmonicValue=100.0),
                 nameRebuiltCurve='Extrapolated_curve',
                 nameFourierTransform='Spectrum')

CurveSpatial2D[ALL].delete()
DeleteAllResults(deletePostprocessingResults='YES')

startMacroTransaction()
CurrentSource['I_PHA'].rmsModulus='IPEAK*Sind(2*(0.5*NPOLES*ANGPOS_MOVING+IPHASE+BEMF_CAL))'

CurrentSource['I_PHB'].rmsModulus='IPEAK*Sind(2*(0.5*NPOLES*ANGPOS_MOVING+IPHASE-120+BEMF_CAL))'

endMacroTransaction()

#! Fri Mar 09 12:52:57 EST 2018 loadProject('C:/Mazhar_Work/2017/NVH/ProjectAltair/Numair/Tutorial/Force_Noise12S10P_SimLab_Id.FLU')

CurrentSource['I_PHA'].rmsModulus='IPEAK*Sind((NPOLES/2)*ANGPOS_MOVING+IPHASE+BEMF_CAL)'


CurrentSource['I_PHB'].rmsModulus='IPEAK*Sind((NPOLES/2)*ANGPOS_MOVING+IPHASE+BEMF_CAL-120)'


DeleteAllResults(deletePostprocessingResults='yes')

startMacroTransaction()
Scenario['EMTORQUE'].pilots['ANGPOS_MOVING']=MultiValues(parameter=VariationParameter['ANGPOS_MOVING'],
                                                         intervals=[IntervalStepValue(minValue=-1.0,
                                                                                      maxValue=360.0,
                                                                                      stepValue=1.0)])
endMacroTransaction()

Scenario['EMTORQUE'].solve(projectName='C:/Mazhar_Work/2017/NVH/ProjectAltair/Numair/Tutorial/Force_Noise12S10P_SimLab_Id.FLU')

EvolutiveCurve2D(name='EvolutiveCurve2D_1',
                 evolutivePath=EvolutivePath(parameterSet=[SetParameterXVariable(paramEvol=VariationParameter['ANGPOS_MOVING'],
                                                                                 limitMin=0.0,
                                                                                 limitMax=360.0)]),
                 formula=['TorqueElecMag(MOVING)'])

EvolutiveCurve2D(name='EvolutiveCurve2D_2',
                 evolutivePath=EvolutivePath(parameterSet=[SetParameterXVariable(paramEvol=VariationParameter['ANGPOS_MOVING'],
                                                                                 limitMin=0.0,
                                                                                 limitMax=360.0)]),
                 formula=['I(I_PHA)',
                          'I(I_PHB)'])

result = SpectrumAnalysis(curve=Curve2d['EVOLUTIVECURVE2D_1'],
                 component='TorqueElecMag(MOVING)',
                 cycle=FullCycle(),
                 numberHarmonics=120,
                 computeDCComponent=Continue(),
                 scaleDecibel=FirstHarmonic(firstHarmonicValue=100.0),
                 nameRebuiltCurve='Extrapolated_curve',
                 nameFourierTransform='Spectrum')

openMechanicalAnalysisContext()

closeMechanicalAnalysisContext()

openMechanicalAnalysisContext()

lastInstance = ForcesSupportNastran(Name='ForcesSupport_1',
                     Color=Color['Turquoise'],
                     visibility=Visibility['VISIBLE'],
                     NastranFileName='ToothFace_03092018/Flux/FLUX.BULK',
                     lenghtUnit='millimeter',
                     Repere=CoordSys['XY1'],
                     MechanicalSet=MechanicalSet['FIXED'])

result = PointPropagated[99].computePointDistance(point=[Point[106]])

closeMechanicalAnalysisContext()

saveProject()

#! Fri Mar 09 15:17:14 EST 2018 loadProject('Force_Noise12S10P_SimLab_Id.FLU')

openMechanicalAnalysisContext()

ForcesSupportNastran['FORCESSUPPORT_1'].delete()
lastInstance = ForcesSupportNastran(Name='Force',
                     Color=Color['Turquoise'],
                     visibility=Visibility['VISIBLE'],
                     NastranFileName='ToothFace_03092018/Flux/FLUX.BULK',
                     lenghtUnit='millimeter',
                     Repere=CoordSys['XY1'],
                     MechanicalSet=MechanicalSet['FIXED'])

ForcesSupportNastran['FORCE'].delete()
closeMechanicalAnalysisContext()

DeleteAllResults(deletePostprocessingResults='yes')

deleteMesh()

deleteMesh()

saveProject()

#! Thu Mar 15 18:16:13 EDT 2018 loadProject('C:/Users/nmazgaonkar/Desktop/FuxModel/Force_Noise12S10P_SimLab_Id/Force_Noise12S10P_SimLab_Id.FLU')

checkMesh()

result = checkPhysic()

meshDomain()

Scenario['EMTORQUE'].solve(projectName='C:/Users/nmazgaonkar/Desktop/FuxModel/Force_Noise12S10P_SimLab_Id/Force_Noise12S10P_SimLab_Id.FLU')

displayIsovalues()

displayIsovalues()

displayIsovalues()

displayIsovalues()

displayIsovalues()

Animation(name='ANIMATION_1',
          scenario='EMTORQUE',
          pilot='ANGPOS_MOVING',
          pilotLimitMin=-1.0,
          pilotLimitMax=360.0,
          width=800,
          height=600,
          isovalues='4_ISOVAL_NO_INFINITE',
          isovaluesLimitActive=0,
          isolinesLimitActive=0,
          arrowDensity=0,
          arrowsLimitActive=0,
          fps=2.0,
          stepFrequency=1,
          visible=0,
          infosDisplayTime=3,
          infosScrolling=0,
          interpolation=0,
          infosDisplay=0)

Animation['ANIMATION_1'].buildAvi()

Animation['ANIMATION_1'].display()

Animation['ANIMATION_1'].visible=0

saveProject()

startMacroTransaction()
ComputePhysicTransient['ComputePhysic'].storageName='ComputePhysic_1'

ComputePhysicTransient['ComputePhysic'].formula=['TorqueElecMag(MOVING)']

endMacroTransaction()

lastInstance = GroupRegionFace(name='Groupspatial_1',
                regionface=RegionFace[ALL])

openMechanicalAnalysisContext()

lastInstance = ForcesSupportNastran(Name='ForcesSupport_1',
                     Color=Color['Turquoise'],
                     visibility=Visibility['VISIBLE'],
                     NastranFileName='../../Flux_OS_Coupling/2_Meshed_Faces/FLUX.fem',
                     lenghtUnit='millimeter',
                     Repere=CoordSys['XY1'],
                     MechanicalSet=MechanicalSet['FIXED'])

result = PointCoordinates[1].computePointDistance(point=[Point[183]])

lastInstance = ProjectiveForcesComputation(Name='ForcesComputation_1',
                            Interval=EvolutivePath(parameterSet=[SetParameterXVariable(paramEvol=VariationParameter['ANGPOS_MOVING'],
                                                                                       limitMin=-1.0,
                                                                                       limitMax=360.0)]),
                            ComputeHarmonics='Harmonics',
                            ComputationSupport=ForcesSupport['FORCESSUPPORT_1'],
                            Radius='0.0206',
                            SlotOpeningAngle='5.925')

displayArrows()

displayArrows()

displayArrows()

displayIsovalues()

displayArrows()

displayIsovalues()

lastInstance = harmonicForceArrows(name='ARROWS_1',
                    forceVisibility='yes',
                    forceComputation=ForcesComputation['FORCESCOMPUTATION_1'],
                    harmonicRank=2,
                    component='resulting',
                    type='atNodes',
                    displayAnchor='yes')

ExportOptiStructForce(ForceComputation=ForcesComputation['FORCESCOMPUTATION_1'],
                      forceUnity='Newton',
                      fileName='../../Flux_OS_Coupling/2_Meshed_Faces/Forces_03152018')

ExportNastranForce(ForceComputation=ForcesComputation['FORCESCOMPUTATION_1'],
                   forceUnity='Newton',
                   fileName='../../Flux_OS_Coupling/2_Meshed_Faces/Forces_03152018_nastran.BULK')

closeMechanicalAnalysisContext()

saveProject()

